Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Port

    java.lang.Object
      com.ericsson.otp.erlang.OtpErlangObject
          com.ericsson.otp.erlang.OtpErlangPort
              com.ericsson.otp.ic.Port

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class Port

extends com.ericsson.otp.erlang.OtpErlangPort

Port class mapps the built-in erlang type port, a process port.

See Also:
  Serialized Form

Constructor Summary
`Port(com.ericsson.otp.erlang.OtpInputStream buf)`
`Port(java.lang.String node, int id, int creation)`

Method Summary
`boolean` | `equal(Port _port)` Comparisson method for Port.

Methods inherited from class com.ericsson.otp.erlang.OtpErlangPort
`creation, encode, equals, id, node, toString`

Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject
`clone, decode, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Port

    public Port(com.ericsson.otp.erlang.OtpInputStream buf)
         throws com.ericsson.otp.erlang.OtpErlangDecodeException

Throws:
  `com.ericsson.otp.erlang.OtpErlangDecodeException`

### Port

    public Port(java.lang.String node,
                int id,
                int creation)

Method Detail

### equal

    public boolean equal(Port _port)

  Comparisson method for Port.

  Returns:
    true if the input Port value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD